#ifndef INTERFACEMULTIPLAYER
#define INTERFACEMULTIPLAYER

#include "network.h"

#define kChatBufferMaxSize 256
#define kChatBufferMaxLines 8

typedef struct{
	tChatMessage chatBuffer[kChatBufferMaxLines];
	int chatBufferLines;
}tChatBuffer;

extern tChatBuffer *gChatBuffer;
extern char gDisconnectString[256];
void ChatBufferInsert(tChatMessage *msg,tChatBuffer *cb);
void InterfaceMultiplayerLobby();
void DirectJoinGame(char *address);

#endif